<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>MavenPublication (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="MavenPublication (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/publish/maven/MavenPom.html" title="interface in org.gradle.api.publish.maven"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/publish/maven/MavenPublication.html" target="_top">Frames</a></li>
<li><a href="MavenPublication.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.publish.maven</div>
<h2 title="Interface MavenPublication" class="title">Interface MavenPublication</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a>, <a href="../../../../../org/gradle/api/publish/Publication.html" title="interface in org.gradle.api.publish">Publication</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">MavenPublication</span>
extends <a href="../../../../../org/gradle/api/publish/Publication.html" title="interface in org.gradle.api.publish">Publication</a></pre>
<div class="block">A <code>MavenPublication</code> is the representation/configuration of how Gradle should publish something in Maven format.

 You directly add a named Maven Publication the project's <code>publishing.publications</code> container by providing <a href="../../../../../org/gradle/api/publish/maven/MavenPublication.html" title="interface in org.gradle.api.publish.maven"><code>MavenPublication</code></a> as the type.
 <pre>
 publishing {
   publications {
     myPublicationName(MavenPublication) {
       // Configure the publication here
     }
   }
 }
 </pre>

 The default Maven POM identifying attributes are mapped as follows:
 <ul>
 <li><code>groupId</code> - <code>project.group</code></li>
 <li><code>artifactId</code> - <code>project.name</code></li>
 <li><code>version</code> - <code>project.version</code></li>
 </ul>

 <p>
 For certain common use cases, it's often sufficient to specify the component to publish, and nothing more (<a href="../../../../../org/gradle/api/publish/maven/MavenPublication.html#from(org.gradle.api.component.SoftwareComponent)"><code>from(org.gradle.api.component.SoftwareComponent)</code></a>.
 The published component is used to determine which artifacts to publish, and which dependencies should be listed in the generated POM file.
 </p><p>
 To add additional artifacts to the set published, use the <a href="../../../../../org/gradle/api/publish/maven/MavenPublication.html#artifact(java.lang.Object)"><code>artifact(Object)</code></a> and <a href="../../../../../org/gradle/api/publish/maven/MavenPublication.html#artifact(java.lang.Object,%20org.gradle.api.Action)"><code>artifact(Object, org.gradle.api.Action)</code></a> methods.
 You can also completely replace the set of published artifacts using <a href="../../../../../org/gradle/api/publish/maven/MavenPublication.html#setArtifacts(java.lang.Iterable)"><code>setArtifacts(Iterable)</code></a>.
 Together, these methods give you full control over what artifacts will be published.
 </p><p>
 For any other tweaks to the publication, it is possible to modify the generated POM prior to publication. This is done using the <a href="../../../../../org/gradle/api/publish/maven/MavenPom.html#withXml(org.gradle.api.Action)"><code>MavenPom.withXml(org.gradle.api.Action)</code></a> method
 of the POM returned via the <a href="../../../../../org/gradle/api/publish/maven/MavenPublication.html#getPom()"><code>getPom()</code></a> method, or directly by an action (or closure) passed into <a href="../../../../../org/gradle/api/publish/maven/MavenPublication.html#pom(org.gradle.api.Action)"><code>pom(org.gradle.api.Action)</code></a>.
 </p>
 <h4>Example of publishing a java module with a source artifact and custom POM description</h4>
 <pre class='autoTested'>
 apply plugin: "java"
 apply plugin: "maven-publish"

 task sourceJar(type: Jar) {
   from sourceSets.main.allJava
   classifier "sources"
 }

 publishing {
   publications {
     myPublication(MavenPublication) {
       from components.java
       artifact sourceJar
       pom.withXml {
         asNode().appendNode('description', 'A demonstration of Maven POM customization')
       }
     }
   }
 }
 </pre></div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>1.4</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Named">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></h3>
<code><a href="../../../../../org/gradle/api/Named.Namer.html" title="class in org.gradle.api">Named.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/publish/maven/MavenArtifact.html" title="interface in org.gradle.api.publish.maven">MavenArtifact</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/publish/maven/MavenPublication.html#artifact(java.lang.Object)">artifact</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;source)</code>
<div class="block">Creates a custom <a href="../../../../../org/gradle/api/publish/maven/MavenArtifact.html" title="interface in org.gradle.api.publish.maven"><code>MavenArtifact</code></a> to be included in the publication.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/publish/maven/MavenArtifact.html" title="interface in org.gradle.api.publish.maven">MavenArtifact</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/publish/maven/MavenPublication.html#artifact(java.lang.Object,%20org.gradle.api.Action)">artifact</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;source,
        <a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/publish/maven/MavenArtifact.html" title="interface in org.gradle.api.publish.maven">MavenArtifact</a>&gt;&nbsp;config)</code>
<div class="block">Creates an <a href="../../../../../org/gradle/api/publish/maven/MavenArtifact.html" title="interface in org.gradle.api.publish.maven"><code>MavenArtifact</code></a> to be included in the publication, which is configured by the associated action.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/publish/maven/MavenPublication.html#from(org.gradle.api.component.SoftwareComponent)">from</a></strong>(<a href="../../../../../org/gradle/api/component/SoftwareComponent.html" title="interface in org.gradle.api.component">SoftwareComponent</a>&nbsp;component)</code>
<div class="block">Provides the software component that should be published.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/publish/maven/MavenPublication.html#getArtifactId()">getArtifactId</a></strong>()</code>
<div class="block">Returns the artifactId for this publication.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/publish/maven/MavenArtifactSet.html" title="interface in org.gradle.api.publish.maven">MavenArtifactSet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/publish/maven/MavenPublication.html#getArtifacts()">getArtifacts</a></strong>()</code>
<div class="block">Returns the complete set of artifacts for this publication.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/publish/maven/MavenPublication.html#getGroupId()">getGroupId</a></strong>()</code>
<div class="block">Returns the groupId for this publication.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/publish/maven/MavenPom.html" title="interface in org.gradle.api.publish.maven">MavenPom</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/publish/maven/MavenPublication.html#getPom()">getPom</a></strong>()</code>
<div class="block">The POM that will be published.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/publish/maven/MavenPublication.html#getVersion()">getVersion</a></strong>()</code>
<div class="block">Returns the version for this publication.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/publish/maven/MavenPublication.html#pom(org.gradle.api.Action)">pom</a></strong>(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/publish/maven/MavenPom.html" title="interface in org.gradle.api.publish.maven">MavenPom</a>&gt;&nbsp;configure)</code>
<div class="block">Configures the POM that will be published.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/publish/maven/MavenPublication.html#setArtifactId(java.lang.String)">setArtifactId</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;artifactId)</code>
<div class="block">Sets the artifactId for this publication.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/publish/maven/MavenPublication.html#setArtifacts(java.lang.Iterable)">setArtifacts</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;sources)</code>
<div class="block">Clears any previously added artifacts from <a href="../../../../../org/gradle/api/publish/maven/MavenPublication.html#getArtifacts()"><code>getArtifacts()</code></a> and creates artifacts from the specified sources.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/publish/maven/MavenPublication.html#setGroupId(java.lang.String)">setGroupId</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;groupId)</code>
<div class="block">Sets the groupId for this publication.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/publish/maven/MavenPublication.html#setVersion(java.lang.String)">setVersion</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;version)</code>
<div class="block">Sets the version for this publication.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.Named">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></h3>
<code><a href="../../../../../org/gradle/api/Named.html#getName()">getName</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getPom()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPom</h4>
<pre><a href="../../../../../org/gradle/api/publish/maven/MavenPom.html" title="interface in org.gradle.api.publish.maven">MavenPom</a>&nbsp;getPom()</pre>
<div class="block">The POM that will be published.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The POM that will be published.</dd></dl>
</li>
</ul>
<a name="pom(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pom</h4>
<pre>void&nbsp;pom(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/publish/maven/MavenPom.html" title="interface in org.gradle.api.publish.maven">MavenPom</a>&gt;&nbsp;configure)</pre>
<div class="block">Configures the POM that will be published.

 The supplied action will be executed against the <a href="../../../../../org/gradle/api/publish/maven/MavenPublication.html#getPom()"><code>getPom()</code></a> result. This method also accepts a closure argument, by type coercion.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>configure</code> - The configuration action.</dd></dl>
</li>
</ul>
<a name="from(org.gradle.api.component.SoftwareComponent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>from</h4>
<pre>void&nbsp;from(<a href="../../../../../org/gradle/api/component/SoftwareComponent.html" title="interface in org.gradle.api.component">SoftwareComponent</a>&nbsp;component)</pre>
<div class="block">Provides the software component that should be published.

 <ul>
     <li>Any artifacts declared by the component will be included in the publication.</li>
     <li>The dependencies declared by the component will be included in the published meta-data.</li>
 </ul>

 Currently 2 types of component are supported: 'components.java' (added by the JavaPlugin) and 'components.web' (added by the WarPlugin).
 For any individual MavenPublication, only a single component can be provided in this way.

 The following example demonstrates how to publish the 'java' component to a Maven repository.
 <pre class='autoTested'>
 apply plugin: "java"
 apply plugin: "maven-publish"

 publishing {
   publications {
     maven(MavenPublication) {
       from components.java
     }
   }
 }
 </pre></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>component</code> - The software component to publish.</dd></dl>
</li>
</ul>
<a name="artifact(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>artifact</h4>
<pre><a href="../../../../../org/gradle/api/publish/maven/MavenArtifact.html" title="interface in org.gradle.api.publish.maven">MavenArtifact</a>&nbsp;artifact(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;source)</pre>
<div class="block">Creates a custom <a href="../../../../../org/gradle/api/publish/maven/MavenArtifact.html" title="interface in org.gradle.api.publish.maven"><code>MavenArtifact</code></a> to be included in the publication.

 The <code>artifact</code> method can take a variety of input:
 <ul>
     <li>A <a href="../../../../../org/gradle/api/artifacts/PublishArtifact.html" title="interface in org.gradle.api.artifacts"><code>PublishArtifact</code></a> instance. Extension and classifier values are taken from the wrapped instance.</li>
     <li>An <a href="../../../../../org/gradle/api/tasks/bundling/AbstractArchiveTask.html" title="class in org.gradle.api.tasks.bundling"><code>AbstractArchiveTask</code></a> instance. Extension and classifier values are taken from the wrapped instance.</li>
     <li>Anything that can be resolved to a <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io"><code>File</code></a> via the <a href="../../../../../org/gradle/api/Project.html#file(java.lang.Object)"><code>Project.file(Object)</code></a> method.
          Extension and classifier values are interpolated from the file name.</li>
     <li>A <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util"><code>Map</code></a> that contains a 'source' entry that can be resolved as any of the other input types, including file.
         This map can contain a 'classifier' and an 'extension' entry to further configure the constructed artifact.</li>
 </ul>

 The following example demonstrates the addition of various custom artifacts.
 <pre class='autoTested'>
 apply plugin: "maven-publish"

 task sourceJar(type: Jar) {
   classifier "sources"
 }

 publishing {
   publications {
     maven(MavenPublication) {
       artifact sourceJar // Publish the output of the sourceJar task
       artifact 'my-file-name.jar' // Publish a file created outside of the build
       artifact source: sourceJar, classifier: 'src', extension: 'zip'
     }
   }
 }
 </pre></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>source</code> - The source of the artifact content.</dd></dl>
</li>
</ul>
<a name="artifact(java.lang.Object, org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>artifact</h4>
<pre><a href="../../../../../org/gradle/api/publish/maven/MavenArtifact.html" title="interface in org.gradle.api.publish.maven">MavenArtifact</a>&nbsp;artifact(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;source,
                     <a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/publish/maven/MavenArtifact.html" title="interface in org.gradle.api.publish.maven">MavenArtifact</a>&gt;&nbsp;config)</pre>
<div class="block">Creates an <a href="../../../../../org/gradle/api/publish/maven/MavenArtifact.html" title="interface in org.gradle.api.publish.maven"><code>MavenArtifact</code></a> to be included in the publication, which is configured by the associated action.

 The first parameter is used to create a custom artifact and add it to the publication, as per <a href="../../../../../org/gradle/api/publish/maven/MavenPublication.html#artifact(java.lang.Object)"><code>artifact(Object)</code></a>.
 The created <a href="../../../../../org/gradle/api/publish/maven/MavenArtifact.html" title="interface in org.gradle.api.publish.maven"><code>MavenArtifact</code></a> is then configured using the supplied action, which can override the extension or classifier of the artifact.
 This method also accepts the configure action as a closure argument, by type coercion.

 <pre class='autoTested'>
 apply plugin: "maven-publish"

 task sourceJar(type: Jar) {
   classifier "sources"
 }

 publishing {
   publications {
     maven(MavenPublication) {
       artifact(sourceJar) {
         // These values will be used instead of the values from the task. The task values will not be updated.
         classifier "src"
         extension "zip"
       }
       artifact("my-docs-file.htm") {
         classifier "documentation"
         extension "html"
       }
     }
   }
 }
 </pre></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>source</code> - The source of the artifact.</dd><dd><code>config</code> - An action to configure the values of the constructed <a href="../../../../../org/gradle/api/publish/maven/MavenArtifact.html" title="interface in org.gradle.api.publish.maven"><code>MavenArtifact</code></a>.</dd></dl>
</li>
</ul>
<a name="setArtifacts(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setArtifacts</h4>
<pre>void&nbsp;setArtifacts(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;sources)</pre>
<div class="block">Clears any previously added artifacts from <a href="../../../../../org/gradle/api/publish/maven/MavenPublication.html#getArtifacts()"><code>getArtifacts()</code></a> and creates artifacts from the specified sources.
 Each supplied source is interpreted as per <a href="../../../../../org/gradle/api/publish/maven/MavenPublication.html#artifact(java.lang.Object)"><code>artifact(Object)</code></a>.

 For example, to exclude the dependencies declared by a component and instead use a custom set of artifacts:
 <pre class='autoTested'>
 apply plugin: "java"
 apply plugin: "maven-publish"

 task sourceJar(type: Jar) {
   classifier "sources"
 }

 publishing {
   publications {
     maven(MavenPublication) {
       from components.java
       artifacts = ["my-custom-jar.jar", sourceJar]
     }
   }
 }
 </pre></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>sources</code> - The set of artifacts for this publication.</dd></dl>
</li>
</ul>
<a name="getArtifacts()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArtifacts</h4>
<pre><a href="../../../../../org/gradle/api/publish/maven/MavenArtifactSet.html" title="interface in org.gradle.api.publish.maven">MavenArtifactSet</a>&nbsp;getArtifacts()</pre>
<div class="block">Returns the complete set of artifacts for this publication.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the artifacts.</dd></dl>
</li>
</ul>
<a name="getGroupId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGroupId</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getGroupId()</pre>
<div class="block">Returns the groupId for this publication.</div>
</li>
</ul>
<a name="setGroupId(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGroupId</h4>
<pre>void&nbsp;setGroupId(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;groupId)</pre>
<div class="block">Sets the groupId for this publication.</div>
</li>
</ul>
<a name="getArtifactId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArtifactId</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getArtifactId()</pre>
<div class="block">Returns the artifactId for this publication.</div>
</li>
</ul>
<a name="setArtifactId(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setArtifactId</h4>
<pre>void&nbsp;setArtifactId(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;artifactId)</pre>
<div class="block">Sets the artifactId for this publication.</div>
</li>
</ul>
<a name="getVersion()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVersion</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getVersion()</pre>
<div class="block">Returns the version for this publication.</div>
</li>
</ul>
<a name="setVersion(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setVersion</h4>
<pre>void&nbsp;setVersion(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;version)</pre>
<div class="block">Sets the version for this publication.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/publish/maven/MavenPom.html" title="interface in org.gradle.api.publish.maven"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/publish/maven/MavenPublication.html" target="_top">Frames</a></li>
<li><a href="MavenPublication.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
